Will this work on a thunderbolt equipped iMac 12,2 running 10.6.8?

Back To Product

Follow this Question

2 Answers from the Community

  • Answer

    It Requires 10.8 for the USB 3.0

    Was this useful? Answer 1

    2 of 3 people found this useful

  • Apple says that if you are running 10.6.8 and have a thunderbolt port, all should be in order.

    Was this useful? Answer 2

    0 of 0 people found this useful

Related Questions